Attribute VB_Name = "Modul1"
Option Explicit

Public Sub SpaltenBreiteInZentimeter(vntSpalte As Variant, dblZentimeter As Double)
  Dim dblBreite As Double
  Dim intSpalte As Integer
  
  'Sicher stellen, dass Spalte ein numerischer Wert
  If IsNumeric(vntSpalte) Then
    intSpalte = Int(vntSpalte)
  Else
    intSpalte = Columns(vntSpalte).Column
  End If
  
  'Umrechnen und Breite setzen
  dblBreite = Application.CentimetersToPoints(dblZentimeter)
  Columns(intSpalte).ColumnWidth = Columns(intSpalte).ColumnWidth _
    / Columns(intSpalte).Width * dblBreite
End Sub

